%define module 	XML-miniXQL
%define version 0.04
%define release %mkrel 11

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel perl(XML::Parser)
Requires:	perl , perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch

%description
This module provides a simplistic XQL like search engine for XML files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q  -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes 
%{perl_vendorlib}/XML/*
%{perl_vendorlib}/auto/XML/*
%{_mandir}/*/*






%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-11mdv2009.0
+ Revision: 258843
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-10mdv2009.0
+ Revision: 246751
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.04-8mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-8mdv2007.0
+ Revision: 73447
- Fix Build
- Fix URL
- import perl-XML-miniXQL-0.04-7mdk

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.04-7mdk
- rebuild

